Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004803OCamlOCaml documentationpublic2009-05-22 00:002010-05-14 10:25
Reportergildor 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.11.0 
Target VersionFixed in Version3.12.0+dev 
Summary0004803: Variant types in chapter "18 Interfacing C with Objective Caml"
DescriptionI think the subsection "18.3.6 Variants" is misnamed, since it is only talking about "Polymorphic variants". Renaming chapter to "18.3.6 Polymorphic variants" should be better.

Also a couple of simple examples for "18.3.4 Concrete types" should also be welcomed, to illustrate variant value:

Constructed term: None
Representation: Value_int(0); first constant constructor of None | Some int

Constructed term: Some 1234
Representation: Block with size = 1 and tag = 0; first non-constant constructor of None | Some int and first field contains Value_int(1234)

Thanks
Sylvain Le Gall
TagsNo tags attached.
Attached Files

- Relationships
related to 0004753closedgarrigue Documentation of "polymorphic" variants is misleading 

-  Notes
(0005383)
garrigue (manager)
2010-04-27 09:06

Renamed chapter 18.3.6 to "Polymorphic variants" as suggested.
(0005453)
xleroy (administrator)
2010-05-14 10:25

Added a more detailed example in 18.3.4.

- Issue History
Date Modified Username Field Change
2009-05-22 00:00 gildor New Issue
2009-05-25 15:40 doligez Relationship added related to 0004753
2010-04-27 09:06 garrigue Note Added: 0005383
2010-05-14 10:25 xleroy Note Added: 0005453
2010-05-14 10:25 xleroy Status new => closed
2010-05-14 10:25 xleroy Resolution open => fixed
2010-05-14 10:25 xleroy Fixed in Version => 3.12.0+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker